/**
 * PETALS - PETALS Services Platform. Copyright (c) 2008 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.registry.api;


/**
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
public interface Constants {

    public static final String REGISTRY = "org.ow2.registry";

    public static final String LOCAL_MANAGER = REGISTRY + ".local.manager";

    public static final String REMOTE_MANAGER = REGISTRY + ".remote.manager";

    public static final String NAMESPACE = "http://registry.ow2.org/";

    public static final String REGISTRY_HOME = REGISTRY + ".REGISTRY_HOME";

    
    public static final String ROOT_PATH = "/";
    
    public static final String SEPARATOR = "/";

    interface DataBase {
        public static String mode = "database.mode";
    }

    interface Properties {
        public String PATH = "path";
    }

}
